Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615969 - Whitespaces drop on paste
Whitespaces drop on paste
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gtkhtml3 (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 08:08 EDT by Tim Waugh
Modified: 2014-01-02 05:24 EST (History)
3 users (show)

See Also:
Fixed In Version: gtkhtml3-3.32.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:57:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1540 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-20 19:40:51 EST

  None (edit)
Description Tim Waugh 2010-07-19 08:08:52 EDT
Description of problem:
Can't correctly copy and paste a word including a trailing space.

Version-Release number of selected component (if applicable):
evolution-2.28.3-8.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Start a new email
2.In the body, type "foo bar", press enter, then type "bar"
3.Highlight "foo " (including the space)
4.Press Ctrl-C to copy that.
5.Position the cursor at the beginning of the second line.
6.Press Ctrl-V to paste it.
  
Actual results:
"foo" is inserted, making "foobar"

Expected results:
"foo " is inserted, making "foo bar".

Additional information:
Another weird thing is double-clicking to select a word, and then moving the mouse cursor.  I'd expect that to highlight multiple words, but instead it reverts to single-click behaviour, undoing the selection I saw prior to moving the mouse cursor.
Comment 2 RHEL Product and Program Management 2010-07-19 08:37:40 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 RHEL Product and Program Management 2011-01-07 10:50:01 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 8 Milan Crha 2013-06-28 13:43:09 EDT
(In reply to Milan Crha from comment #5)
> Upstream patch available:
> https://git.gnome.org/browse/gtkhtml/commit/?h=gnome-3-
> 6&id=7be37432940c62a9e5d5a52a8c476f9398eb248c

And a follow-up fix:
https://git.gnome.org/browse/gtkhtml/commit/?h=gnome-3-6&id=1bdbb01b5a9cb64df2b35a539169e9f69af1491b
Comment 13 errata-xmlrpc 2013-11-20 23:57:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.